/*
 * virtual private network daemon (vpnd)
 *
 * cryptographic stuff (c) 1999 Andreas Steinmetz, ast@domdv.de
 * other code (c) 1999 D.O.M. Datenverarbeitung GmbH, author Andreas Steinmetz
 * (c) 2001 Andreas Steinmetz
 *
 * License:
 * This code is in the public domain (*) under the GNU public license.
 * The copyright holders will however retain their copyright.
 * There is no guarantee for the fitness and usability of this code
 * for any purpose. The author and the copyright holders take no
 * responsibility for any damages caused by the use of this code.
 * Distribution and use of this code is explicitly granted provided
 * that the above header is not modified and the above conditions
 * are met.
 * (*) 'public domain' is used here in the sense of the Wassenaar treaty.
 */

#include "vpnd.h"

VPN globals;

int main(int argc,char **argv)
{
printf("\t\trwhite=%d\n",(WORD32)((unsigned long)(&globals.rwhite)-
	(unsigned long)(&globals)));
printf("\t\twwhite=%d\n",(WORD32)((unsigned long)(&globals.wwhite)-
	(unsigned long)(&globals)));
printf("\t\tencrypt=%d\n",(WORD32)((unsigned long)(&globals.encrypt)-
	(unsigned long)(&globals)));
printf("\t\tlocal=%d\n",(WORD32)((unsigned long)(&globals.local)-
	(unsigned long)(&globals)));
printf("\t\tremote=%d\n",(WORD32)((unsigned long)(&globals.remote)-
	(unsigned long)(&globals)));
printf("\t\tlocal_iv=%d\n",(WORD32)((unsigned long)(&globals.local_iv[0])-
	(unsigned long)(&globals)));
printf("\t\tremote_iv=%d\n",(WORD32)((unsigned long)(&globals.remote_iv[0])-
	(unsigned long)(&globals)));
printf("\t\twhite=%d\n",(WORD32)((unsigned long)(&globals.white[0])-
	(unsigned long)(&globals)));
return 0;
}
